Package org.gradle.jvm.test

# Interface JUnitTestSuiteSpec

All Superinterfaces:
  `ComponentSpec`, `GeneralComponentSpec`, `JvmComponentSpec`, `JvmTestSuiteSpec`, `ModelElement`, `Named`, `SourceComponentSpec`, `TestSuiteSpec`, `VariantComponent`, `VariantComponentSpec`

@Incubating public interface JUnitTestSuiteSpec extends JvmTestSuiteSpec
Represents a JUnit test suite.

Since:
  2.11

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`String`
`getjUnitVersion()`
`void`
`setjUnitVersion(String junitVersion)`

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.jvm.test.JvmTestSuiteSpec

`getDependencies, getTestedComponent`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName`

### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

`getSources`

### Methods inherited from interface org.gradle.testing.base.TestSuiteSpec

`setTestedComponent, testing`

### Methods inherited from interface org.gradle.platform.base.VariantComponent

`getName, getVariants`

### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

`getBinaries`

## Method Details

### getjUnitVersion

String getjUnitVersion()

### setjUnitVersion

void setjUnitVersion(String junitVersion)